*This is the file generating the measure of Fpicking
*The input file is sue31.txt that takes earnings surprises for stocks and the lagged *stock weights from portfolios (see weights3_new.do) 
*The output file is covssue31.txt that is subsequently converted into a Stata file *rsi_new.dta 

clear all
load sue31.txt
 
data=sue31;
clear sue31
 
N=max(data(:,1))
T=max(data(:,2))
K=N*(T-11);

covs=ones(K,3)*(-99);

clear K

for i=1:N
     clear a A
     i
     a=find(data(:,1)==i);
     A=data(a,:);
       for t=1:T-11
         clear B b c
         c=find(A(:,2)>=t & A(:,2)<=t+11);
         if length(c)>15
           B=A(c,:);
           covs((i-1)*(T-11)+t,1)=i;
           covs((i-1)*(T-11)+t,2)=t+11;
           b=cov(B(:,3),B(:,4));
           covs((i-1)*(T-11)+t,3)=b(1,2);
         else
           continue
         end;
      end;
end;
 
save covssue31.txt covs -ascii -tabs

quit;
